Package org.jcsp.net

# Class StandardNetConnectionFactory

java.lang.Object
org.jcsp.net.StandardNetConnectionFactory

All Implemented Interfaces:
  `NetConnectionFactory`

public class StandardNetConnectionFactory extends Object implements NetConnectionFactory

This is an implementation of ``NetConnectionFactory``.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`StandardNetConnectionFactory()`
Constructor for StandardNetConnectionFactory.

## Method Summary

Modifier and Type
Method
Description
`NetSharedAltingConnectionClient`
`createAny2Net(NetChannelLocation serverLoc)`
Constructs a `NetSharedAltingConnectionClient` object.
`NetSharedConnectionServer`
`createNet2Any()`
Constructs a `NetSharedConnectionServer` object.
`org.jcsp.net.NetAltingConnectionServer`
`createNet2One()`
Constructs a `NetAltingConnectionServer` object.
`NetAltingConnectionClient`
`createOne2Net(NetChannelLocation serverLoc)`
Constructs a `NetAltingConnectionClient` object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StandardNetConnectionFactory

public StandardNetConnectionFactory()
Constructor for StandardNetConnectionFactory.

## Method Details

### createNet2One

public org.jcsp.net.NetAltingConnectionServer createNet2One()
Description copied from interface: `NetConnectionFactory`

Constructs a `NetAltingConnectionServer` object.

Specified by:
  `createNet2One` in interface `NetConnectionFactory`
Returns:
  the constructed `NetAltingConnectionServer` object.
See Also:
  - `NetConnectionFactory.createNet2One()`

### createNet2Any

public NetSharedConnectionServer createNet2Any()
Description copied from interface: `NetConnectionFactory`

Constructs a `NetSharedConnectionServer` object.

Specified by:
  `createNet2Any` in interface `NetConnectionFactory`
Returns:
  the constructed `NetSharedConnectionServer` object.
See Also:
  - `NetConnectionFactory.createNet2Any()`

### createOne2Net

public NetAltingConnectionClient createOne2Net(NetChannelLocation serverLoc)
Description copied from interface: `NetConnectionFactory`

Constructs a `NetAltingConnectionClient` object.

Specified by:
  `createOne2Net` in interface `NetConnectionFactory`
Returns:
  the constructed `NetAltingConnectionClient` object.
See Also:
  - `NetConnectionFactory.createOne2Net(NetChannelLocation)`

### createAny2Net

public NetSharedAltingConnectionClient createAny2Net(NetChannelLocation serverLoc)
Description copied from interface: `NetConnectionFactory`

Constructs a `NetSharedAltingConnectionClient` object.

Specified by:
  `createAny2Net` in interface `NetConnectionFactory`
Returns:
  the constructed `NetSharedAltingConnectionClient` object.
See Also:
  - `NetConnectionFactory.createAny2Net(NetChannelLocation)`